%define real_name Net-DNS
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:	The Perl DNS resolver
Name:		perl-net-dns
Version:	0.48
Release: 	3tr
URL:		http://www.cpan.org
Source:		http://search.cpan.org/CPAN/authors/id/C/CR/CREIN/Net-DNS-0.48.tar.gz
Patch0:         perl-net-dns-CVE-2007-3377.patch
Patch1:         perl-net-dns-CVE-2007-3409.patch
License:	GPL
Group: 		Trustix Official
Requires:	perl >= %{perl_version}
Provides:	perl(Net::DNS)
BuildRequires: perl-devel >= 5.8.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
Perl interface to the DNS resolver.


%prep -q
%setup -q -n %{real_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
yes no | %{__perl} Makefile.PL INSTALLDIRS=site PREFIX=%{_prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
make test

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{siteperl}/%{_arch}-linux-thread-multi/auto/Net
%{siteperl}/%{_arch}-linux-thread-multi/Net
/usr/share/man/man3/*

%changelog
* Fri Jul 27 2007 Nived Gopalan <nived at trustix dot org> 0.48-3tr
- SECURITY Fix: An error exists in the handling of DNS queries
  where IDs are incremented with a fixed value and are additionally
  used for child processes in a forking server. This can be exploited
  to poison the DNS cache of an application using the module if a
  valid ID is guessed.
- An error in the PP implementation within the "dn_expand()" function
  can be exploited to cause a stack overflow due to an endless loop
  via a specially crafted DNS packet.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-3377 and CVE-2007-3409 to
  these issues.

* Mon Aug 23 2004 Nageswara Sastry <nageswara at comodo dot com>
- Upgraded to version 0.48

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Wed Jan 28 2004 Erlend Midttun <erlendbm at trustix dot org> 0.45-1em
- Initial release.
